@import "@/styles/variables";

.main {
    padding: 2rem 0;
    display: grid;
    grid-template-columns: repeat(12, 1fr);

    @include notebook {
        padding-bottom: 4rem;
    }
}

.container {
    padding: 0 $padding-sm;
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 2rem 1rem;
    margin-bottom: 2rem;

    @include notebook {
        max-width: $max-inner-width;
        margin: 0 auto;
    }

    @include desktop {
        padding: 0;
    }

    p {
        grid-column: 1 / -1;
    }
}

.heading {
    margin-top: 4rem;
}

.aboutlkod-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: repeat(12, 1fr);
    max-width: $max-inner-width;
    margin: 0 auto;
    gap: 2rem 1rem;
    z-index: 2;

    .container-purpose {
        grid-column: 1 / -1;
        gap: 2rem 1rem;

        @include col;

        @include notebook {
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 6rem;
        }

        .text-field {
            @include col;

            gap: 1.5rem;

            .text-field-card {
                display: grid;
                min-height: fit-content;
                gap: 2rem;
            }
        }

        .image-field {
            @include col;

            gap: 2rem;
            max-height: 24rem;

            @include notebook {
                max-height: 24rem;
            }
        }
    }

    .container-uselkod {
        grid-column: 1 / -1;
        display: grid;
        grid-template-rows: 1fr 1fr 1fr;
        grid-template-columns: auto;
        gap: 2rem 1rem;

        @include notebook {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            grid-template-rows: auto;
        }
    }

    .container-lkodtech {
        grid-column: 1 / -1;
        display: grid;
        gap: 2rem 1rem;

        @include notebook {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            grid-template-rows: auto;
        }

        .lkodtech-text {
            grid-column: 1 / -1;
        }

        .lkodtech-image {
            grid-column: 1 / -1;
            width: 100%;
            justify-content: center;
        }
    }

    a {
        z-index: 2;
        position: relative;
        font-weight: 400;
        font-size: 1rem;
        line-height: 150%;
    }

    p {
        grid-column: 1 / -1;

        @include paragraph-lg;
    }

    h4 {
        font-weight: 500;
        font-size: 20px;
        line-height: 125%;

        @media screen and (max-width: 1350px) {
            font-size: 18px;
        }
    }

    h3 {
        font-weight: 600;
        padding-bottom: 0.5rem;
        font-size: 20px;
        line-height: 28px;
        color: $primary-color-dark;

        @include notebook {
            font-size: 16px;
            padding-bottom: 2rem;
        }
    }
}

.administration-block-wrapper {
    background: $background-color-administration;
    grid-column: 1 / -1;

    .administration-block {
        display: grid;
        row-gap: 2rem;
        grid-template-columns: repeat(12, 1fr);
        grid-template-rows: auto;
        padding: 0 $padding-sm;
        padding-bottom: 3.5rem;

        @include notebook {
            grid-column: 4 / -4;
            max-width: $max-inner-width;
            margin: 0 auto;
        }

        .administration-list {
            grid-column: 1 / -1;

            @include notebook {
                grid-column: 1 / 6;
            }

            h5 {
                color: $black;
                padding-bottom: 2rem;

                @media screen and (max-width: 950px) {
                    padding-top: 0;
                    margin-left: 0;
                }
            }

            li {
                display: grid;
                grid-template-columns: 2rem auto;
                column-gap: 0.5rem;

                &:not(:first-of-type) {
                    margin-top: 1rem;
                }
            }

            svg {
                display: inline-block;
                vertical-align: middle;
            }
        }

        .image-box {
            grid-column: 1 / -1;
            margin-top: 4rem;

            @include notebook {
                grid-column: 7 / -1;
                margin-top: 0;
            }
        }
    }
}

.container-links {
    grid-column: 1 / -1;
    display: grid;
    gap: 2rem 1.5rem;
    padding: 4rem 0;

    @include notebook {
        grid-template-columns: 2fr 2fr 2fr 2fr;
        padding: 6rem 0;
    }

    .link-card {
        @include col;

        padding: 2rem;
        background: $white;
        gap: 2rem;

        &-text {
            @include col;

            gap: 1rem;
            color: $primary-color-dark;
        }
    }
}
